summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorMicah Anderson <micah@leap.se>2014-04-17 15:22:57 -0400
committerMicah Anderson <micah@leap.se>2014-04-17 16:09:36 -0400
commit2d64dafaf6238852d80b326ca22359da4371e912 (patch)
treed720a3863162275716576c1f70e3c60dfdab02e6 /bin
parent723433a385d4d72721efb36bdf144ad89ad613a7 (diff)
fix --retry argument, the help listed it correctly, but the code was using --repeat (#5119)
Change-Id: I48b0ae8b3d8ab91c4ca363a2bdece46952cce5a9
Diffstat (limited to 'bin')
-rwxr-xr-xbin/run_tests12
1 files changed, 6 insertions, 6 deletions
diff --git a/bin/run_tests b/bin/run_tests
index b258e85a..9102c325 100755
--- a/bin/run_tests
+++ b/bin/run_tests
@@ -534,15 +534,15 @@ def pin_test_name(name)
end
#
-# run the tests, multiple times if `--repeat` and not all tests were successful.
+# run the tests, multiple times if `--retry` and not all tests were successful.
#
def run_tests
exit_code = nil
- run_count = $repeat ? $repeat + 1 : 1
+ run_count = $retry ? $retry + 1 : 1
run_count.times do |i|
MiniTest::Unit.runner = LeapRunner.new
exit_code = MiniTest::Unit.new.run
- if !$repeat || exit_code == :success
+ if !$retry || exit_code == :success
break
elsif i != run_count-1
sleep $wait
@@ -575,7 +575,7 @@ def main
# parse command line options
$halt_on_failure = true
$output_format = :human
- $repeat = false
+ $retry = false
$wait = 5
loop do
case ARGV[0]
@@ -584,7 +584,7 @@ def main
when '--help' then print_help
when '--test' then ARGV.shift; pin_test_name(ARGV.shift)
when '--list-tests' then list_tests
- when '--repeat' then ARGV.shift; $repeat = ARGV.shift.to_i
+ when '--retry' then ARGV.shift; $retry = ARGV.shift.to_i
when '--wait' then ARGV.shift; $wait = ARGV.shift.to_i
else break
end
@@ -592,4 +592,4 @@ def main
run_tests
end
-main() \ No newline at end of file
+main()